How can we use Grails 2.1 with Bamboo OnDemand?

We want to build our Grails application with Bamboo OnDemand using Grails 2.1, but the default Elastic Images only provide Grails 2.0. How do we get Grails 2.1?

<body></body>

1 answer

1 accepted

0 vote

Use one of these images:

Default Image EBS i386 ami-bf56ead6
Default Image EBS x86_64 ami-8156eae8
Default Image S3 i386 ami-9f56eaf6
Default Image S3 x86_64 ami-8f56eae6

They will be distributed with Bamboo 4.3 and already contain Grails 2.1. You'll need to define the capability manually to /opt/grails-2.1

Thank you! Can I run the "Default Image S3 i386" on a Micro instance?

And how will OnDemand customers find out about updated images in the future?

You need to use the EBS image on Micro instances.

The stock images are automatically updated on customer instances whenever a new release comes.

Suggest an answer

Log in or Sign up to answer
How to earn badges on the Atlassian Community

How to earn badges on the Atlassian Community

Badges are a great way to show off community activity, whether you’re a newbie or a Champion.

Learn more
Community showcase
Published May 18, 2017 in Bamboo

FAQ: How to Upgrade Bamboo Server

Bamboo 5.9 will no longer be supported after June 12, 2017. What does this mean? As part of our End of Life policy, Atlassian supports major versions for two years after the first major iteratio...

1,579 views 0 6
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you